package com.zfire.jiasm.syncdata.service;

import com.alibaba.fastjson.JSONArray;

import java.util.List;
import java.util.Map;

public interface UploadService {
	
	public List<Map<String, Object>> getTaskData();
	
	public List<Map<String, Object>> getSourceData(String srcTabName);
	
	public void updateSuccess(String srcTabName,long reqId);
	
	public void updateError(String srcTabName,long reqId,String errMessage);
	
	public void addAssignLog(JSONArray jsonArray, Map<String, Object> sourceData) throws Exception;
	
	public void addAzAssignLog(JSONArray jsonArray, Map<String, Object> sourceData) throws Exception;
	public List<Map<String, Object>> getTaskData(String table);

	public void updateNotSync(String srcTabName,long reqId,String msg);
	public void updateNotSyncT(String srcTabName,String reqId,String msg);

}
